Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.system
Class PrenotationManager<E extends Prenotation>

    java.lang.Object
      archive.system.PrenotationManager<E>

All Implemented Interfaces:
  GestionePrenotazione

    public class PrenotationManager<E extends Prenotation>

extends java.lang.Object
implements GestionePrenotazione

Una classe che generica che tratta prenotazioni di voli o pacchetti Cancellazione o modifica di una prenotazione

Constructor Summary
`PrenotationManager(java.util.Set<E> p)`

Method Summary
`void` | `addInQueue(boolean addInQueue)` Implementa il metodo dell'interfaccia `GestionePrenotazione` Setta `addInQueue` spazio
`boolean` | `delPrenotation(Prenotation p)` Implementa il metodo dell'interfaccia `GestionePrenotazione` Cancella la prenotazione
`boolean` | `hasGotPrenotation(Cliente c)` Controllo di prenotazioni presenti per un cliente
`boolean` | `isRegistered(Cliente c)` Implementa il metodo dell'interfaccia `GestionePrenotazione`
`boolean` | `modPrenotation(Prenotation p, java.lang.String modifiche)` Implementa il metodo dell'interfaccia `GestionePrenotazione`
`Cliente` | `requestInformation(java.lang.String cognome)` Implementa il metodo dell'interfaccia `GestionePrenotazione` Verifica se il cliente si trova nell'archivio
`void` | `setVillaggio(java.lang.String nome)` Setta il nome del villaggio
`java.util.Set<Prenotation>` | `showList(Cliente c)` Implementa il metodo dell'interfaccia `GestionePrenotazione` Crea un set di prenotazione di un cliente

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrenotationManager

    public PrenotationManager(java.util.Set<E> p)

Method Detail

### setVillaggio

    public void setVillaggio(java.lang.String nome)

  Setta il nome del villaggio

  Parameters:
    `nome` - nome villaggio

### requestInformation

    public Cliente requestInformation(java.lang.String cognome)

  Implementa il metodo dell'interfaccia `GestionePrenotazione` Verifica se il cliente si trova nell'archivio

  Specified by:
    `requestInformation` in interface `GestionePrenotazione`
  Parameters:
    `cognome` - cognome cliente
  Returns:
    il cliente
  Throws:
    `java.util.NoSuchElementException` - se il cliente non è nell'archivio

### delPrenotation

    public boolean delPrenotation(Prenotation p)

  Implementa il metodo dell'interfaccia `GestionePrenotazione` Cancella la prenotazione

  Specified by:
    `delPrenotation` in interface `GestionePrenotazione`
  Parameters:
    `p` - prenotazione da eleminare
  Returns:
    true se ha cancellato la prenotazione

### addInQueue

    public void addInQueue(boolean addInQueue)

  Implementa il metodo dell'interfaccia `GestionePrenotazione` Setta `addInQueue` spazio

  Specified by:
    `addInQueue` in interface `GestionePrenotazione`
  Parameters:
    `addInQueue` - true se da aggiungere in attesa

### modPrenotation

    public boolean modPrenotation(Prenotation p,
                                  java.lang.String modifiche)
                           throws DoubleRoomNotAvailableException

  Implementa il metodo dell'interfaccia `GestionePrenotazione`

  Specified by:
    `modPrenotation` in interface `GestionePrenotazione`
  Parameters:
    `p` - prenotazione
    `modifiche` - Stringa modifica("?;XXX" || ora): N(modNWeek)-T(modTipo)-S(modSeq)-C(complete/save) ; String mod
  Returns:
    true se modifica effettuata
  Throws:
    `DoubleRoomNotAvailableException`

### isRegistered

    public boolean isRegistered(Cliente c)

  Implementa il metodo dell'interfaccia `GestionePrenotazione`

  Specified by:
    `isRegistered` in interface `GestionePrenotazione`
  Parameters:
    `c` - cliente
  Returns:
    true se cliente presente in archivio

### hasGotPrenotation

    public boolean hasGotPrenotation(Cliente c)

  Controllo di prenotazioni presenti per un cliente

  Parameters:
    `c` - cliente
  Returns:
    true se `c` ha prenotazioni

### showList

    public java.util.Set<Prenotation> showList(Cliente c)

  Implementa il metodo dell'interfaccia `GestionePrenotazione` Crea un set di prenotazione di un cliente

  Specified by:
    `showList` in interface `GestionePrenotazione`
  Parameters:
    `c` - Cliente
  Returns:
    una collezione di prenotazioni relative ad un cliente

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD